Bug 165428 - Shouldn't Share on Kenai wizard allow to add a NB project to existing Kenai project?
Shouldn't Share on Kenai wizard allow to add a NB project to existing Kenai p...
Status: CLOSED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jan Becicka
issues@connecteddeveloper
share-on-kenai-2
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 17:06 UTC by Marian Mirilovic
Modified: 2010-04-23 06:36 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2009-05-18 17:06:11 UTC
Scenario is as follows :
- I am team member, our team has project (Kenai project) on kenai.com
- this project consist of >1 project (j2se project, j2se libraries, ....)
- I've got request to create new library which will be used later
- so I'll do that locally, write code, tune that ....
- at the end if it's ready to be shared I would like to add this project into existing kenai project, how to do that ?
-> copy folder into your repository (outside from IDE) and push/commit changes

... so it would be nice to provide a way to "Share on Kenai" - as add this project to existing Kenai project
Comment 1 Marian Mirilovic 2009-05-18 17:07:48 UTC
I mean it would be nice to have "Kenai Project Name" field in Share on Kenai wizard as editable combobox with all My
Projects as options in combo, but leave possibility to create new Kenai project.
Comment 2 Tomas Pavek 2009-05-18 17:34:35 UTC
The current Share on Kenai wizard is designed to always create a new Kenai project. If you already have a Kenai 
project, you should just create the new NB project underneath the same VCS root.
Comment 3 Jan Becicka 2009-06-11 10:41:55 UTC
This is something we should implement even if it is easy to do in current version.
Adding folder to existing repository is called Import Into Repository...

Comment 4 Tomas Pavek 2009-06-16 17:58:37 UTC
So to extend the Share on Kenai wizard to also allow to add a local project to an existing Kenai project? I agree this
is an often requested feature.

It requires to change the UI so it covers both cases - new project and selecting an existing project (repository). Here
probably only projects where the user has commit rights should be offered. This would be limited to SVN only again (so
the imported NB project can stay where it is as a separate versioning root).

Then we need to deal somehow with the target location where the local project (project folder) will go in the
repository. Probably should be configurable (allow browse in the repository), would be nice to offer some reasonable
default (probably the same we do for a new project, otherwise may be tricky to determine).
Comment 5 Ondrej Langr 2009-06-17 14:26:34 UTC
UI change should IMO not be too complicated. Would involve:

a) replacing the project name field by a combo, allowing to enter a new name OR choose an existing project where user
has commit rights

b) explaining to the user that they can both enter new project name OR choose an existing project

c) disabling project title, description and source licence in case an existing Kenai project is chosen
Comment 6 Tomas Pavek 2009-06-17 16:17:34 UTC
As I wrote, you likely need to specify the target location for existing project, so it's not only disabling the controls
for creating a new project. Perhaps would be better to show one set of controls or other.

There is an alternate suggestion not to extend the wizard to handle existing Kenai project, but rather promote the
standard Import to repository versioning command (make it more visible in menus), and rename Share on Kenai to something
like "Share in a new Kenai project".
Comment 7 Jan Becicka 2009-08-26 15:03:09 UTC
Will be fixed by correct versioning root.
Comment 8 Jan Becicka 2009-09-09 09:14:20 UTC
fixed by maros and his new wizard.
Comment 9 Marian Mirilovic 2010-04-23 06:36:55 UTC
v/c


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo